pokerconfigupgrade(8)

NAME
pokerconfigupgrade - upgrade poker XML configuration files to match the software version

SYNOPSIS
pokerconfigupgrade [--module=<python_module>] [--help] [--verbose=<level>] [--dry-run]
                   [--upgrades=<directory>] [--reference=<directory>]
                   [directory or file.xml] ...

DESCRIPTION

Apply the XSL files found in the upgrades directory to upgrade the configuration files given in argument to reach the same version as the config software module.

OPTIONS

--upgrades=<directory>
    Get the XSL files from <directory>.

--reference=<directory>
    Requires that a single directory is provided in argument. The files that exist in <directory> but not in the target directory provided in argument are copied. The files that exist in the target directory but not in the reference are removed. The files that exists in both directories are upgraded if necessary.

--verbose=<level>
    Set the verbosity level. 0 (the default) means silent. 1 means print comments about actions taken.

--module=<python_module>
    Use the <python_module>.config module instead of the default pokerengine.pokerengineconfig module.

--dry-run
    Do not actually do the upgrade but run the code anyways.

--help
    Print help message and exit.

AUTHORS

Loic Dachary <loic@gnu.org>